Skip to content
POST /unified/ats/attachments

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

filestring · binary
1 supported
Lever
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The attachment's unique identifier

1 supported
Lever
supported
applicationobject

The attachment's application

idstring

Unique identifier of the application

attachment_typestring

The attachment's type

Possible values:
resumecover_letterother
candidateobject

The attachment's candidate

idstring

Unique identifier of the candidate

created_atstring · date-time

The date and time of the attachment's creation

file_namestring

The attachment's file_name

1 supported
Lever
supported
file_urlstring

The attachment's file_url

1 supported
Lever
supported
jobobject

The attachment's job

idstring

Unique identifier of the job

remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

The date and time of the attachment's last update

curl -X POST 'https://api.truto.one/unified/ats/attachments?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "file": "your_file",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "file": "your_file",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ats/attachments?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ats/attachments"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "file": "your_file",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ats',
  'attachments',
  {
  "file": "your_file",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ats",
        "attachments",
        {
        "file": "your_file",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())